Subject: [core] WGLC on draft-ietf-core-dev-urn

From: Marco Tiloca <[email-masked]>
Date: Thu, 9 Apr 2020 20:08:01 +0200

Dear all,

As anticipated during the latest CoRE virtual meeting, this mail starts
a Working Group last call on:

https://tools.ietf.org/html/draft-ietf-core-dev-urn-04

The document is in good shape, with no pending issues. This latest
version especially improved the syntax, examples and IANA rules.

This WGLC will end on Friday, 24th of April.

Best,
/Marco

-- 
Marco Tiloca
Ph.D., Senior Researcher

RISE Research Institutes of Sweden
Division ICT
Isafjordsgatan 22 / Kistagången 16
SE-164 40 Kista (Sweden)

Phone: +46 (0)70 60 46 501
https://www.ri.se

---

From: Jim Schaad <[email-masked]>
Date: Thu, 9 Apr 2020 12:02:15 -0700

Not my area of expertise, but I read and understood the document without any problems.

The one thing that might be useful is an example of a MAC-48 or ENU-48 with expansion.

Push it out.

jim

-----Original Message-----
From: core <[email-masked]> On Behalf Of Marco Tiloca
Sent: Thursday, April 9, 2020 11:08 AM
To: [email-masked] WG ([email-masked]) <[email-masked]>
Subject: [core] WGLC on draft-ietf-core-dev-urn

Dear all,

As anticipated during the latest CoRE virtual meeting, this mail starts a Working Group last call on:

The document is in good shape, with no pending issues. This latest version especially improved the syntax, examples and IANA rules.

Best,
/Marco

--
Marco Tiloca
Ph.D., Senior Researcher

---

From: Thomas Fossati <[email-masked]>
Date: Thu, 9 Apr 2020 21:10:39 +0000

Hi Marco, all,

> version especially improved the syntax, examples and IANA rules.

I agree it's in good shape.

Just a bunch of nits:
- I-D.atarius-dispatch-meid-urn is RFC 8464;
- ABNF looks good, I just don't understand why do we need to redefine
  ALPHA and DIGIT, which are core rules?  A reference to RFC 2234 should
  suffice.
- "Future types [...] (such as BASE64), however."
    s/, however//
- Typo: "[...] how thy are allocated"
    s/thy/they/
- Typo: "[...] care should be taken avoid leaking"
    s/taken avoid/taken to avoid/
- the "Security Considerations" section should probably be called
  "Security and Privacy Considerations" since at least half of it has
  privacy related discussion.  (Either that or split it into two
  distinct sections?)

cheers!

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 9 Apr 2020 23:45:27 +0200

> https://tools.ietf.org/html/draft-ietf-core-dev-urn-04

I’m slightly confused, as the below items I raised 2020-01-27 don’t seem to have been addressed by a new version.  Sorry I missed this.  So consider these my WGLC comments.

Grüße, Carsten

...

here are a few quick observations:

# IDnits

Why are we still referencing RFC 2616, RFC 4627?

Is there anything in RFC 3406 that we need that is not in RFC 8141?
(3406 is cited as a normative reference alongside 8141, without further explanation.)

More importantly:
 ** Obsolete normative reference: RFC 5226 (Obsoleted by RFC 8126)

Oh, and

 == Outdated reference: draft-atarius-dispatch-meid-urn has been published
    as RFC 8464

# Section 2

Please use new BCP14 boilerplate (RFC 8174…).

# Section 3

Equivalence is case-sensitive, but the ABNF syntax allows all case variations (including within hexstring).
Where is "Note that the two subtypes defined in
          this document use only lower case letters, however.” substantiated?

I assume we don’t want leading zeros in `number` (behind ops, org, os)?

# Registration template

I haven’t crosschecked that with RFC 8141; I just assume someone did.

# typos, nits

expeced, justfied, assignemnts, preferrable
Two sentences ending in “, however” at end of page 5

Grüße, Carsten

---

From: Marco Tiloca <[email-masked]>
Date: Mon, 27 Apr 2020 18:16:43 +0200

Dear all,

The WGLC on this draft is now concluded.

We have received some comments from Jim [1], Thomas [2] and Carsten [3]
--- Thank you!

Authors are encouraged to address these comments in the draft and submit
an updated version.

Best,
/Marco

[1] https://mailarchive.ietf.org/arch/msg/core/rwXv9jEBTjUtZ0P51U1rhHOMyKQ/
[2] https://mailarchive.ietf.org/arch/msg/core/KNVKMw2Yj5kyvbG9b3zrYMP-HRI/
[3] https://mailarchive.ietf.org/arch/msg/core/dsX18XoFBzFwpHf13hBp4FS1kYg/

-- 
Marco Tiloca
Ph.D., Senior Researcher